Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class ADFLoggerDiagnosticImpl

`java.lang.Object
oracle.jbo.common.ADFLoggerDiagnosticImpl`

All Implemented Interfaces:
  IDiagnostic, IDiagnostic2

public class ADFLoggerDiagnosticImpl
extends java.lang.Object
implements IDiagnostic, IDiagnostic2

The class logs information by using ADFLogger starting in JDev 10.1.3.

This class is instantiated in `DiagonsticFactory#createDiagnostic()`.

Since:
  Jdeveloper 10.1.3

Field Summary
`static java.lang.String` | `ADF_LOG_LEVEL`

Constructor Summary
`ADFLoggerDiagnosticImpl()`

Method Summary
`void` | `initialized(java.lang.String reason)` Called to signal initialization of Diagnostic.
`void` | `print(java.lang.String message)` Prints a trace message.
`void` | `println(java.lang.String message)` Prints a trace message and terminates the line.
`java.lang.String` | `toString()` return a user friendly string describing the Diagnostic implementation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ADF_LOG_LEVEL

    public static final java.lang.String ADF_LOG_LEVEL

  See Also:
    Constant Field Values

Constructor Detail

### ADFLoggerDiagnosticImpl

    public ADFLoggerDiagnosticImpl()

Method Detail

### initialized

    public void initialized(java.lang.String reason)

  Description copied from interface: `IDiagnostic2`
  Called to signal initialization of Diagnostic.
  Specified by:
    `initialized` in interface `IDiagnostic2`
  Parameters:
    `reason` - describes the reason for initialization.

### print

    public void print(java.lang.String message)

  Prints a trace message.
  Specified by:
    `print` in interface `IDiagnostic`
  Parameters:
    `message` - the text to be printed.

### println

    public void println(java.lang.String message)

  Prints a trace message and terminates the line.
  Specified by:
    `println` in interface `IDiagnostic`
  Parameters:
    `message` - the text to be printed.

### toString

    public java.lang.String toString()

  return a user friendly string describing the Diagnostic implementation
  Specified by:
    `toString` in interface `IDiagnostic`
  Returns:
    string describing the ADFLogger diagnostic implementation

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.